qt_internal_add_test(tst_protobuf_extranamespace_qml
    GUI
    QMLTEST
    SOURCES
        extranamespace_qml.cpp
    LIBRARIES
        Qt::Qml
        Qt::QuickTest
        Qt::Protobuf
    TESTDATA qml/tst_extranamespace.qml
)

_qt_internal_link_protobuf_objects(tst_protobuf_extranamespace_qml
    tst_protobuf_extranamespace_qtprotobuf_gen
)
